Bug 2336 - cannot rebuild src.rpm
: cannot rebuild src.rpm
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/samba3)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-06 18:01 by
Modified: 2003-09-01 11:31 (History)


Attachments
0002336-rpm.qa (5.33 KB, application/octet-stream)
2003-03-06 18:01, Vitaly A. Ostanin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-06 18:01:10
На свежеустановленном (Master 2.0) и просизифленом сервере не пересобирается
samba3-3.0-alt7.src.rpm

Список установленных пакетов приложен в файле rpm.qa

Вывод последних строк сборки:

Compiling lib/ldap_escape.c
Compiling printing/printing.c
Compiling printing/nt_printing.c
Compiling printing/notify.c
Compiling printing/printing_db.c
Compiling smbd/quotas.c
smbd/quotas.c: In function `get_smb_linux_vfs_quota\':
smbd/quotas.c:115: storage size of `D\' isn\'t known
smbd/quotas.c:115: warning: unused variable `D\'
make: *** [smbd/quotas.o] Error 1
ошибка: Неверный код возврата из /home/vyt/tmp/rpm-tmp.9944 (%build)


Ошибки сборки пакетов:
    Неверный код возврата из /home/vyt/tmp/rpm-tmp.9944 (%build)

---

---
------- Comment #1 From 2003-08-25 21:53:04 -------
This is a problem with glibc-kernheaders, not samba. glibc-kernheaders package
provided outdated version of quota.h incompatible with kernel's one.
This is known problem across Linux distributions, SuSE also has it.

In my opinion fix should have a merge between linux/quota.h and sys/quota.h to
provide proper structs and ioctl numbers.
------- Comment #2 From 2003-08-28 19:38:57 -------
Seems to be fixed; 
tested with samba3-3.0-alt26.src.rpm 
 
Please open another bug report if you think quota.h problem requires additional 
attention.